Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.ejb
Class EJBTransactionRequiredException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.ejb.EJBException
                      javax.ejb.EJBTransactionRequiredException

All Implemented Interfaces:
  java.io.Serializable

    public class EJBTransactionRequiredException

extends javax.ejb.EJBException

This exception indicates that a request carried a null transaction context, but the target object requires an activate transaction.

Version:
  $Revision: 1.1.2.7 $
See Also:
  Serialized Form

Constructor Summary
`EJBTransactionRequiredException()` Constructs a TransactionRequiredLocalException with no detail message.
`EJBTransactionRequiredException(java.lang.String message)` Constructs a TransactionRequiredLocalException with the specified detailed message.

Method Summary

Methods inherited from class javax.ejb.EJBException
`getCausedByException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EJBTransactionRequiredException

    public EJBTransactionRequiredException()

  Constructs a TransactionRequiredLocalException with no detail message.

### EJBTransactionRequiredException

    public EJBTransactionRequiredException(java.lang.String message)

  Constructs a TransactionRequiredLocalException with the specified detailed message.

  Parameters:
    `message` - - The detailed message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD